hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jason Lowe (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (YARN-7581) HBase filters are not constructed correctly in ATSv2
Date Thu, 22 Mar 2018 15:21:00 GMT

    [ https://issues.apache.org/jira/browse/YARN-7581?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16409706#comment-16409706
] 

Jason Lowe commented on YARN-7581:
----------------------------------

bq. I did compilation for branch-2 and committed. Looks my workspace was loaded with JDK1.8
which I missed while compiling branch-2. 

I'm building with JDK8 as well.  The compilation fails even with JDK8 because branch-2's version
of hadoop-project/pom.xml explicitly asks the compiler to enforce JDK7:
{code}
    <!-- define the Java language version used by the compiler -->
    <javac.version>1.7</javac.version>
[...]
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-compiler-plugin</artifactId>
          <version>${maven-compiler-plugin.version}</version>
          <configuration>
            <source>${javac.version}</source>
            <target>${javac.version}</target>
            <useIncrementalCompilation>false</useIncrementalCompilation>
          </configuration>
        </plugin>
{code}


> HBase filters are not constructed correctly in ATSv2
> ----------------------------------------------------
>
>                 Key: YARN-7581
>                 URL: https://issues.apache.org/jira/browse/YARN-7581
>             Project: Hadoop YARN
>          Issue Type: Sub-task
>          Components: ATSv2
>    Affects Versions: 3.0.0-beta1
>            Reporter: Haibo Chen
>            Assignee: Haibo Chen
>            Priority: Major
>             Fix For: 3.1.0, yarn-7055, 3.2.0
>
>         Attachments: YARN-7581-YARN-7055.04.patch, YARN-7581-branch-2.05.patch, YARN-7581.00.patch,
YARN-7581.01.patch, YARN-7581.02.patch, YARN-7581.03.patch, YARN-7581.04.patch, YARN-7581.05.patch
>
>
> Post YARN-7346,
> TestTimelineReaderWebServicesHBaseStorage.testGetEntitiesConfigFilters() and TestTimelineReaderWebServicesHBaseStorage.testGetEntitiesMetricFilters()
start to fail when hbase.profile is set to 2.0)
> *Error Message*
>  [ERROR] Failures:
>  [ERROR] TestTimelineReaderWebServicesHBaseStorage.testGetEntitiesConfigFilters:1266
expected:<2> but was:<0>
>  [ERROR] TestTimelineReaderWebServicesHBaseStorage.testGetEntitiesMetricFilters:1523
expected:<1> but was:<0>



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: yarn-issues-help@hadoop.apache.org


Mime
View raw message